# Class Player

java.lang.Object
Player

abstract class Player extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`Player()`

## Method Summary

Modifier and Type
Method
Description
`abstract Coordinate`
`chooseMove(GomokuBoard Board)`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

private String name

## Constructor Details

### Player

Player()

## Method Details

### getName

public String getName()

### chooseMove

public abstract Coordinate chooseMove(GomokuBoard Board)